NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.MeshControlBuilder Class Reference

Represents a NXOpen.CAE.MeshControl More...

Inheritance diagram for NXOpen.CAE.MeshControlBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CylinderAxialElementSizeType { None, Number, Size }
 the cylinder subtypes for size on axial direction. More...
 
enum  CylinderCircularSizeType { None, ByAngle, Number }
 the cylinder subtypes for size on circumference. More...
 
enum  FilletAxialElementSizeType { None, Size }
 the fillet subtypes for size on axial direction. More...
 
enum  FilletCircumferenceSizeType { None, Angle, Size }
 the fillet subtypes for size on circumference. More...
 
enum  FilletType { AllTypes, InsideRadius, OutsideRadius }
 the fillet subtypes. More...
 
enum  HeightDefinedByOption { TotalThickness, GrowthRate }
 the height defined by options. More...
 
enum  ProgressionTypes { Start, End, Center, LastValue }
 the mesh control progression subtypes. More...
 
enum  SizeTypes {
  All, Start, End, StartAndEnd,
  LastValue
}
 the mesh control size subtypes. More...
 
enum  SizingType { None, ByNumber, BySize }
 the sizing subtypes for weld row and mapped holes. More...
 
enum  Types {
  EdgeDensityNumber, EdgeDensitySize, EdgeDensityChordal, EdgeDensityProgression,
  FaceDensitySize, WeldRow, MappedHoles, FilletDensity,
  CylinderDensity, BoundaryLayers, PointDensity, BoundingVolumeDensity,
  TypesLastValue
}
 the mesh control types More...
 
enum  WeldSide { Both, Side1, Side2 }
 the mesh control weld row direction subtypes. More...
 

Public Member Functions

unsafe int AddWeldFaceDefinition ()
 Create weld face definition More...
 
unsafe int[] AutoCreateWeldFaceDefinitions ()
 Auto create face definitions More...
 
unsafe void AutoSize ()
 The calculate Auto Size method. More...
 
unsafe NXOpen.CAE.MeshControl[] CommitDensities ()
 Commits the creation of the NXOpen.CAE.MeshControl objects or Commits the changes made to the NXOpen.CAE.MeshControl More...
 
unsafe void DeleteWeldFaceDefinitions (int[] piFaceDefinitions)
 Delete weld face definition More...
 
unsafe int[] GetWeldFaceDefinitions ()
 Get weld face definitions More...
 
unsafe void LoadMeshControlData (NXOpen.CAE.MeshControl tMeshControl)
 The intialization method for editing mesh control. More...
 
unsafe void ResolveConflicts (bool fDoNotOverwriteExisting)
 To resolve conflicting or existing mesh control when creating new mesh controls if fDoNotOverwriteExisting is false then the existing lower order mesh controls will be overwritten if it is set to true then the geometry will be removed from creating new mesh control. More...
 
unsafe void SetCurrentPointLayerThicknessDefinition (int iLayerId)
 Set point density spot weld layer thickness definition at index to thickness More...
 
unsafe void SetWeldFaceDefinition (int iFaceDefinition)
 Set current weld face definition More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression AspectRatio [get]
 Returns the aspect ratio More...
 
unsafe NXOpen.SelectNXObjectList BlBodySelection [get]
 Returns the body selection for boundary layer More...
 
unsafe bool BlBodySelectionToggle [get, set]
 Returns or sets the boundary layer body selection toggle More...
 
unsafe NXOpen.SelectNXObjectList BoundingVolumeBodySelection [get]
 Returns the bounding volume body selection, This is optional and Bodies selected must be inside or crossing the selected selection recipe Body selection for NXOpen.CAE.MeshControlBuilder.Types.BoundingVolumeDensity More...
 
unsafe NXOpen.Expression BoundingVolumeDensityElementSize [get]
 Returns the value stored in element size field. More...
 
unsafe NXOpen.Expression ChordalTolerance [get]
 Returns the value stored in chordal tolerance field. More...
 
unsafe NXOpen.Expression CylinderAxialElementSize [get]
 Returns the cylinder axial element size More...
 
unsafe
NXOpen.CAE.MeshControlBuilder.CylinderAxialElementSizeType 
CylinderAxialElementSizeOption [get, set]
 Returns or sets the cylinder axial element size option More...
 
unsafe int CylinderAxialNumElements [get, set]
 Returns or sets the cylinder axial num elements More...
 
unsafe NXOpen.Expression CylinderAxialNumElementsExp [get]
 Returns the cylinder axial num elements Exp More...
 
unsafe int CylinderCircularNumElements [get, set]
 Returns or sets the cylinder circular num elements More...
 
unsafe NXOpen.Expression CylinderCircularNumElementsExp [get]
 Returns the cylinder circular num elements Exp More...
 
unsafe int CylinderCircularNumPerQuarter [get, set]
 Returns or sets the cylinder circular num by degrees More...
 
unsafe NXOpen.Expression CylinderCircularNumPerQuarterExp [get]
 Returns the cylinderCircularNumPerQuarterExp More...
 
unsafe
NXOpen.CAE.MeshControlBuilder.CylinderCircularSizeType 
CylinderCircularSizeOption [get, set]
 Returns or sets the cylinder circular size option More...
 
unsafe bool CylinderFreezeGeometryOption [get, set]
 Returns or sets the selection cylinder freeze geometry option More...
 
unsafe NXOpen.Expression CylinderMaxAngle [get]
 Returns the cylinder max angle More...
 
unsafe NXOpen.Expression CylinderMaxRadius [get]
 Returns the cylinder max radius More...
 
unsafe NXOpen.Expression CylinderMinAngle [get]
 Returns the cylinder min angle More...
 
unsafe NXOpen.Expression CylinderMinRadius [get]
 Returns the cylinder min radius More...
 
unsafe bool DistributeOnChainOption [get, set]
 Returns or sets the Distributed Chain Selection Option More...
 
unsafe NXOpen.Expression EdgeFraction [get]
 Returns the value stored in edge fraction field. More...
 
unsafe NXOpen.Expression EndSize [get]
 Returns the value stored in end size field. More...
 
unsafe
NXOpen.CAE.MeshControlBuilder.FilletAxialElementSizeType 
FilletAxialElementSizeOption [get, set]
 Returns or sets the cylinder axial element size option More...
 
unsafe NXOpen.Expression FilletCircumMinElementSize [get]
 Returns the fillet circum min element size More...
 
unsafe int FilletCircumNumberElements [get, set]
 Returns or sets the fillet circum number elements More...
 
unsafe NXOpen.Expression FilletCircumNumberElementsExp [get]
 Returns the filletCircumNumberElementsExp More...
 
unsafe
NXOpen.CAE.MeshControlBuilder.FilletCircumferenceSizeType 
FilletCircumSizeOption [get, set]
 Returns or sets the fillet circum size option More...
 
unsafe NXOpen.Expression FilletCircumTargetElemSize [get]
 Returns the fillet circum target elem size More...
 
unsafe NXOpen.Expression FilletElementSize [get]
 Returns the fillet element size More...
 
unsafe NXOpen.Expression FilletMaxAngle [get]
 Returns the fillet max angle More...
 
unsafe NXOpen.Expression FilletMaxRadius [get]
 Returns the fillet max radius More...
 
unsafe
NXOpen.CAE.MeshControlBuilder.FilletType 
FilletMethod [get, set]
 Returns or sets the fillet method More...
 
unsafe NXOpen.Expression FilletMinAngle [get]
 Returns the fillet min angle More...
 
unsafe NXOpen.Expression FilletMinRadius [get]
 Returns the fillet min radius More...
 
unsafe NXOpen.Expression FirstLayerThickness [get]
 Returns the layer thickness More...
 
unsafe NXOpen.Expression GeometricRatio [get]
 Returns the value stored in geometric ratio field. More...
 
unsafe double GrowthRate [get, set]
 Returns or sets the growth rate More...
 
unsafe
NXOpen.CAE.MeshControlBuilder.HeightDefinedByOption 
HeightDefinedBy [get, set]
 Returns or sets the height defined by option More...
 
unsafe bool HoleAllowNonCircularHolesToggle [get, set]
 Returns or sets the hole allow non circular holes filter toggle More...
 
unsafe bool HoleFreeEdgesToggle [get, set]
 Returns or sets the hole free edges only filter toggle More...
 
unsafe NXOpen.Expression HoleMaxRadius [get]
 Returns the hole max radius More...
 
unsafe NXOpen.Expression HoleMinRadius [get]
 Returns the hole min radius More...
 
unsafe
NXOpen.CAE.MeshControlBuilder.Types 
MainType [get, set]
 Returns or sets the type of mesh control More...
 
unsafe int MappedNumberOfLayers [get, set]
 Returns or sets the mapped number of layers More...
 
unsafe NXOpen.Expression MappedNumberOfLayersExp [get]
 Returns the mappedNumberOfLayersExp More...
 
unsafe NXOpen.Expression MappedOffset [get]
 Returns the mapped offset More...
 
unsafe NXOpen.Expression MinimumElementSize [get]
 Returns the minimum element size. More...
 
unsafe bool MinimumElementSizeOption [get, set]
 Returns or sets the minimum element size option. More...
 
unsafe int NumberOfLayers [get, set]
 Returns or sets the number of layers More...
 
unsafe NXOpen.Expression NumberOfLayersExp [get]
 Returns the number of layers expression More...
 
unsafe int NumOfElements [get, set]
 Returns or sets the number of elements defined on edge. More...
 
unsafe NXOpen.Expression NumOfElementsExp [get]
 Returns the number of elements expression More...
 
unsafe NXOpen.Expression OverallSize [get]
 Returns the value stored in Size field. More...
 
unsafe NXOpen.Expression PointElementSize [get]
 Returns the value stored in element size field. More...
 
unsafe NXOpen.Expression PointIndividualLayerThickness [get]
 Returns the individual layer thickness More...
 
unsafe bool PointLayerThicknessOption [get, set]
 Returns or sets the Layer thickness table option More...
 
unsafe NXOpen.Expression PointNumberOfElements [get]
 Returns the number of elements surrounding spot weld More...
 
unsafe NXOpen.Expression PointNumberOfLayers [get]
 Returns the number of layers surrounding spot weld More...
 
unsafe NXOpen.Expression PointRadiusOfInfluence [get]
 Returns the value stored in radius of influence field. More...
 
unsafe bool PointSpotWeldStatus [get, set]
 Returns or sets the spot weld option. More...
 
unsafe
NXOpen.CAE.MeshControlBuilder.ProgressionTypes 
ProgressionSubtype [get, set]
 Returns or sets the progression or bias starting type More...
 
unsafe NXOpen.SelectNXObjectList Selection [get]
 Returns the selection More...
 
unsafe bool SelectionFilterToggle [get, set]
 Returns or sets the selection filter toggle More...
 
unsafe NXOpen.SelectNXObjectList SelectWeldFace [get]
 Returns the select weld face More...
 
unsafe
NXOpen.CAE.MeshControlBuilder.SizeTypes 
SizeSubtype [get, set]
 Returns or sets the size type of mesh control More...
 
unsafe
NXOpen.CAE.MeshControlBuilder.SizingType 
SizingOption [get, set]
 Returns or sets the sizing option More...
 
unsafe NXOpen.Expression SpacingElementSize [get]
 Returns the spacing element size More...
 
unsafe int SpacingNumberOfElements [get, set]
 Returns or sets the spacing number of elements More...
 
unsafe NXOpen.Expression SpacingNumberOfElementsExp [get]
 Returns the spacing number of elements Exp More...
 
unsafe NXOpen.Expression StartSize [get]
 Returns the value stored in start size field. More...
 
unsafe NXOpen.Expression TotalThickness [get]
 Returns the total thickness More...
 
unsafe
NXOpen.CAE.MeshControlBuilder.WeldSide 
WeldDirection [get, set]
 Returns or sets the weld direction More...
 
unsafe NXOpen.NXObject WeldDirectionScarEdge [get, set]
 Returns or sets the scar edge to define weld direction More...
 
unsafe int WeldNumberOfLayers [get, set]
 Returns or sets the weld number of layers More...
 
unsafe NXOpen.Expression WeldNumberOfLayersExp [get]
 Returns the weldNumberOfLayersExp More...
 
unsafe NXOpen.Expression WeldOffset [get]
 Returns the weld offset More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.MeshControl

To create a new instance of this class, use NXOpen.CAE.MeshControlCollection.CreateBuilder

Default values.

Property Value

AspectRatio.Value

5

BlBodySelectionToggle

0

CylinderAxialElementSize.Value

5

CylinderAxialNumElements

3

CylinderAxialNumElementsExp.Value

3

CylinderCircularNumElements

3

CylinderCircularNumElementsExp.Value

3

CylinderCircularNumPerQuarter

3

CylinderCircularNumPerQuarterExp.Value

3

CylinderMaxAngle.Value

360

CylinderMaxRadius.Value

10 (millimeters part), 4 (inches part)

CylinderMinAngle.Value

150

CylinderMinRadius.Value

5 (millimeters part), 2 (inches part)

FilletCircumMinElementSize.Value

1

FilletCircumNumberElements

3

FilletCircumNumberElementsExp.Value

3

FilletCircumTargetElemSize.Value

5 (millimeters part), 5 (inches part)

FilletElementSize.Value

5 (millimeters part), 5 (inches part)

FilletMaxAngle.Value

150

FilletMaxRadius.Value

3 (millimeters part), 0 (inches part)

FilletMinAngle.Value

0

FilletMinRadius.Value

0 (millimeters part), 0 (inches part)

FirstLayerThickness.Value

1 (millimeters part), 1 (inches part)

GrowthRate

1.0

HoleMaxRadius.Value

10 (millimeters part), 4 (inches part)

HoleMinRadius.Value

5 (millimeters part), 2 (inches part)

MappedNumberOfLayers

2

MappedNumberOfLayersExp.Value

2

NumOfElementsExp.Value

3

NumberOfLayers

1

NumberOfLayersExp.Value

1

PointIndividualLayerThickness.Value

0

PointNumberOfElements.Value

6

PointNumberOfLayers.Value

2

SelectionFilterToggle

0

SpacingNumberOfElements

6

SpacingNumberOfElementsExp.Value

6

TotalThickness.Value

1 (millimeters part), 1 (inches part)

WeldDirection

Both

WeldNumberOfLayers

2

WeldNumberOfLayersExp.Value

2

Created in NX5.0.0

Member Enumeration Documentation

the cylinder subtypes for size on axial direction.

Enumerator
None 
Number 
Size 

the cylinder subtypes for size on circumference.

Enumerator
None 
ByAngle 
Number 

the fillet subtypes for size on axial direction.

Enumerator
None 
Size 

the fillet subtypes for size on circumference.

Enumerator
None 
Angle 
Size 

the fillet subtypes.

Enumerator
AllTypes 
InsideRadius 
OutsideRadius 

the height defined by options.

Enumerator
TotalThickness 
GrowthRate 

the mesh control progression subtypes.

Enumerator
Start 
End 
Center 
LastValue 

the mesh control size subtypes.

Enumerator
All 
Start 
End 
StartAndEnd 
LastValue 

the sizing subtypes for weld row and mapped holes.

Enumerator
None 
ByNumber 
BySize 

the mesh control types

Enumerator
EdgeDensityNumber 
EdgeDensitySize 

NXOpen.CAE.MeshControlBuilder.SizeTypes

EdgeDensityChordal 
EdgeDensityProgression 

NXOpen.CAE.MeshControlBuilder.ProgressionTypes

FaceDensitySize 
WeldRow 
MappedHoles 
FilletDensity 
CylinderDensity 
BoundaryLayers 
PointDensity 
BoundingVolumeDensity 
TypesLastValue 

the mesh control weld row direction subtypes.

Enumerator
Both 
Side1 
Side2 

Member Function Documentation

unsafe int NXOpen.CAE.MeshControlBuilder.AddWeldFaceDefinition ( )
inline

Create weld face definition

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe int [] NXOpen.CAE.MeshControlBuilder.AutoCreateWeldFaceDefinitions ( )
inline

Auto create face definitions

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe void NXOpen.CAE.MeshControlBuilder.AutoSize ( )
inline

The calculate Auto Size method.

This computes and populates num of elements and size fields based auto element size computation. Selected geometry is used in computation.

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.MeshControl [] NXOpen.CAE.MeshControlBuilder.CommitDensities ( )
inline

Commits the creation of the NXOpen.CAE.MeshControl objects or Commits the changes made to the NXOpen.CAE.MeshControl

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe void NXOpen.CAE.MeshControlBuilder.DeleteWeldFaceDefinitions ( int[]  piFaceDefinitions)
inline

Delete weld face definition

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
piFaceDefinitions
unsafe int [] NXOpen.CAE.MeshControlBuilder.GetWeldFaceDefinitions ( )
inline

Get weld face definitions

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe void NXOpen.CAE.MeshControlBuilder.LoadMeshControlData ( NXOpen.CAE.MeshControl  tMeshControl)
inline

The intialization method for editing mesh control.

This method is to be used if builder is created in create mode and then user wants to edit a mesh control. This method populates all required mesh control data for editing purpose

Created in NX8.5.1

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
tMeshControl
unsafe void NXOpen.CAE.MeshControlBuilder.ResolveConflicts ( bool  fDoNotOverwriteExisting)
inline

To resolve conflicting or existing mesh control when creating new mesh controls if fDoNotOverwriteExisting is false then the existing lower order mesh controls will be overwritten if it is set to true then the geometry will be removed from creating new mesh control.

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
fDoNotOverwriteExisting
unsafe void NXOpen.CAE.MeshControlBuilder.SetCurrentPointLayerThicknessDefinition ( int  iLayerId)
inline

Set point density spot weld layer thickness definition at index to thickness

Created in NX1899.0.0

License requirements: None.

Parameters
iLayerId
unsafe void NXOpen.CAE.MeshControlBuilder.SetWeldFaceDefinition ( int  iFaceDefinition)
inline

Set current weld face definition

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
iFaceDefinition

Property Documentation

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.AspectRatio
get

Returns the aspect ratio

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.CAE.MeshControlBuilder.BlBodySelection
get

Returns the body selection for boundary layer

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MeshControlBuilder.BlBodySelectionToggle
getset

Returns or sets the boundary layer body selection toggle

Created in NX10.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectNXObjectList NXOpen.CAE.MeshControlBuilder.BoundingVolumeBodySelection
get

Returns the bounding volume body selection, This is optional and Bodies selected must be inside or crossing the selected selection recipe Body selection for NXOpen.CAE.MeshControlBuilder.Types.BoundingVolumeDensity

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.BoundingVolumeDensityElementSize
get

Returns the value stored in element size field.

This field represents: Size for NXOpen.CAE.MeshControlBuilder.Types.BoundingVolumeDensity

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.ChordalTolerance
get

Returns the value stored in chordal tolerance field.

This field represents: Tolerance for NXOpen.CAE.MeshControlBuilder.Types.EdgeDensityChordal

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.CylinderAxialElementSize
get

Returns the cylinder axial element size

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.CAE.MeshControlBuilder.CylinderAxialElementSizeType NXOpen.CAE.MeshControlBuilder.CylinderAxialElementSizeOption
getset

Returns or sets the cylinder axial element size option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.CAE.MeshControlBuilder.CylinderAxialNumElements
getset

Returns or sets the cylinder axial num elements

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.CylinderAxialNumElementsExp
get

Returns the cylinder axial num elements Exp

Created in NX1847.0.0

License requirements: None.

unsafe int NXOpen.CAE.MeshControlBuilder.CylinderCircularNumElements
getset

Returns or sets the cylinder circular num elements

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.CylinderCircularNumElementsExp
get

Returns the cylinder circular num elements Exp

Created in NX1847.0.0

License requirements: None.

unsafe int NXOpen.CAE.MeshControlBuilder.CylinderCircularNumPerQuarter
getset

Returns or sets the cylinder circular num by degrees

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.CylinderCircularNumPerQuarterExp
get

Returns the cylinderCircularNumPerQuarterExp

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.CAE.MeshControlBuilder.CylinderCircularSizeType NXOpen.CAE.MeshControlBuilder.CylinderCircularSizeOption
getset

Returns or sets the cylinder circular size option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.CAE.MeshControlBuilder.CylinderFreezeGeometryOption
getset

Returns or sets the selection cylinder freeze geometry option

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.CylinderMaxAngle
get

Returns the cylinder max angle

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.CylinderMaxRadius
get

Returns the cylinder max radius

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.CylinderMinAngle
get

Returns the cylinder min angle

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.CylinderMinRadius
get

Returns the cylinder min radius

Created in NX8.5.0

License requirements: None.

unsafe bool NXOpen.CAE.MeshControlBuilder.DistributeOnChainOption
getset

Returns or sets the Distributed Chain Selection Option

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.EdgeFraction
get

Returns the value stored in edge fraction field.

This field represents: Fraction for NXOpen.CAE.MeshControlBuilder.Types.EdgeDensityProgression

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.EndSize
get

Returns the value stored in end size field.

This field represents: Size for NXOpen.CAE.MeshControlBuilder.Types.EdgeDensitySize

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.MeshControlBuilder.FilletAxialElementSizeType NXOpen.CAE.MeshControlBuilder.FilletAxialElementSizeOption
getset

Returns or sets the cylinder axial element size option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.FilletCircumMinElementSize
get

Returns the fillet circum min element size

Created in NX8.5.0

License requirements: None.

unsafe int NXOpen.CAE.MeshControlBuilder.FilletCircumNumberElements
getset

Returns or sets the fillet circum number elements

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.FilletCircumNumberElementsExp
get

Returns the filletCircumNumberElementsExp

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.CAE.MeshControlBuilder.FilletCircumferenceSizeType NXOpen.CAE.MeshControlBuilder.FilletCircumSizeOption
getset

Returns or sets the fillet circum size option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.FilletCircumTargetElemSize
get

Returns the fillet circum target elem size

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.FilletElementSize
get

Returns the fillet element size

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.FilletMaxAngle
get

Returns the fillet max angle

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.FilletMaxRadius
get

Returns the fillet max radius

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.CAE.MeshControlBuilder.FilletType NXOpen.CAE.MeshControlBuilder.FilletMethod
getset

Returns or sets the fillet method

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.FilletMinAngle
get

Returns the fillet min angle

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.FilletMinRadius
get

Returns the fillet min radius

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.FirstLayerThickness
get

Returns the layer thickness

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.GeometricRatio
get

Returns the value stored in geometric ratio field.

This field represents: Ratio for NXOpen.CAE.MeshControlBuilder.Types.EdgeDensityProgression

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe double NXOpen.CAE.MeshControlBuilder.GrowthRate
getset

Returns or sets the growth rate

Created in NX10.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.MeshControlBuilder.HeightDefinedByOption NXOpen.CAE.MeshControlBuilder.HeightDefinedBy
getset

Returns or sets the height defined by option

Created in NX10.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MeshControlBuilder.HoleAllowNonCircularHolesToggle
getset

Returns or sets the hole allow non circular holes filter toggle

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.CAE.MeshControlBuilder.HoleFreeEdgesToggle
getset

Returns or sets the hole free edges only filter toggle

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.HoleMaxRadius
get

Returns the hole max radius

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.HoleMinRadius
get

Returns the hole min radius

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.CAE.MeshControlBuilder.Types NXOpen.CAE.MeshControlBuilder.MainType
getset

Returns or sets the type of mesh control

Created in NX5.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.MeshControlBuilder.MappedNumberOfLayers
getset

Returns or sets the mapped number of layers

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.MappedNumberOfLayersExp
get

Returns the mappedNumberOfLayersExp

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.MappedOffset
get

Returns the mapped offset

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.MinimumElementSize
get

Returns the minimum element size.

This field represents: Size for NXOpen.CAE.MeshControlBuilder.Types.EdgeDensityNumber

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MeshControlBuilder.MinimumElementSizeOption
getset

Returns or sets the minimum element size option.

This field represents: Size for NXOpen.CAE.MeshControlBuilder.Types.EdgeDensityNumber

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.CAE.MeshControlBuilder.NumberOfLayers
getset

Returns or sets the number of layers

Created in NX10.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.NumberOfLayersExp
get

Returns the number of layers expression

Created in NX1847.0.0

License requirements: None.

unsafe int NXOpen.CAE.MeshControlBuilder.NumOfElements
getset

Returns or sets the number of elements defined on edge.

Valid for following types: NXOpen.CAE.MeshControlBuilder.Types.EdgeDensityNumber , NXOpen.CAE.MeshControlBuilder.Types.EdgeDensityProgression

Created in NX5.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.NumOfElementsExp
get

Returns the number of elements expression

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.OverallSize
get

Returns the value stored in Size field.

This field represents: Size for NXOpen.CAE.MeshControlBuilder.Types.EdgeDensitySize Size for NXOpen.CAE.MeshControlBuilder.Types.FaceDensitySize

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.PointElementSize
get

Returns the value stored in element size field.

This field represents: Size for NXOpen.CAE.MeshControlBuilder.Types.PointDensity

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.PointIndividualLayerThickness
get

Returns the individual layer thickness

Created in NX1899.0.0

License requirements: None.

unsafe bool NXOpen.CAE.MeshControlBuilder.PointLayerThicknessOption
getset

Returns or sets the Layer thickness table option

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.PointNumberOfElements
get

Returns the number of elements surrounding spot weld

Created in NX1899.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.PointNumberOfLayers
get

Returns the number of layers surrounding spot weld

Created in NX1899.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.PointRadiusOfInfluence
get

Returns the value stored in radius of influence field.

This field represents: Size for NXOpen.CAE.MeshControlBuilder.Types.PointDensity

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MeshControlBuilder.PointSpotWeldStatus
getset

Returns or sets the spot weld option.

This field represents: Size for NXOpen.CAE.MeshControlBuilder.Types.PointDensity

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.CAE.MeshControlBuilder.ProgressionTypes NXOpen.CAE.MeshControlBuilder.ProgressionSubtype
getset

Returns or sets the progression or bias starting type

Created in NX5.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectNXObjectList NXOpen.CAE.MeshControlBuilder.Selection
get

Returns the selection

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MeshControlBuilder.SelectionFilterToggle
getset

Returns or sets the selection filter toggle

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectNXObjectList NXOpen.CAE.MeshControlBuilder.SelectWeldFace
get

Returns the select weld face

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.MeshControlBuilder.SizeTypes NXOpen.CAE.MeshControlBuilder.SizeSubtype
getset

Returns or sets the size type of mesh control

Created in NX5.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.MeshControlBuilder.SizingType NXOpen.CAE.MeshControlBuilder.SizingOption
getset

Returns or sets the sizing option

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.SpacingElementSize
get

Returns the spacing element size

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.MeshControlBuilder.SpacingNumberOfElements
getset

Returns or sets the spacing number of elements

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.SpacingNumberOfElementsExp
get

Returns the spacing number of elements Exp

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.StartSize
get

Returns the value stored in start size field.

This field represents: Size for NXOpen.CAE.MeshControlBuilder.Types.EdgeDensitySize

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.TotalThickness
get

Returns the total thickness

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.MeshControlBuilder.WeldSide NXOpen.CAE.MeshControlBuilder.WeldDirection
getset

Returns or sets the weld direction

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.NXObject NXOpen.CAE.MeshControlBuilder.WeldDirectionScarEdge
getset

Returns or sets the scar edge to define weld direction

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.MeshControlBuilder.WeldNumberOfLayers
getset

Returns or sets the weld number of layers

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.WeldNumberOfLayersExp
get

Returns the weldNumberOfLayersExp

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.MeshControlBuilder.WeldOffset
get

Returns the weld offset

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.